|  | Home | Documentation | wst__RequestedSecurityTokenType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
wst__RequestedSecurityTokenType Struct Reference

Imported complexType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestedSecurityTokenType from typemap "WS/WS-typemap.dat". More...

`#include <wst.h>`

Collaboration diagram for wst__RequestedSecurityTokenType:
[legend]

## Public Attributes

saml1__AssertionType * | saml1__Assertion
saml2__AssertionType * | saml2__Assertion
_wsse__SecurityTokenReference * | wsse__SecurityTokenReference
struct wsc__SecurityContextTokenType * | wsc__SecurityContextToken

## Detailed Description

Imported complexType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestedSecurityTokenType from typemap "WS/WS-typemap.dat".

## Member Data Documentation

## ◆ saml1__Assertion

saml1__AssertionType* wst__RequestedSecurityTokenType::saml1__Assertion

## ◆ saml2__Assertion

saml2__AssertionType* wst__RequestedSecurityTokenType::saml2__Assertion

## ◆ wsc__SecurityContextToken

struct wsc__SecurityContextTokenType* wst__RequestedSecurityTokenType::wsc__SecurityContextToken

## ◆ wsse__SecurityTokenReference

_wsse__SecurityTokenReference* wst__RequestedSecurityTokenType::wsse__SecurityTokenReference

The documentation for this struct was generated from the following file:

- wst.h